
database_group_time <- database_full %>% 
  group_by(Treatment_C) %>% 
  summarise(across(starts_with("groupTime"), list(gr = ~mean(., na.rm = TRUE)))) %>% 
  select(-where(~all(is.na(.))))

database_group_time <- database_group_time %>% rowwise() %>% 
  mutate(Total_time = sum(c_across(2:ncol(database_group_time)), na.rm = TRUE))

database_group_time <- database_group_time %>% 
  mutate(Net_time = Total_time - groupTime1774_gr - groupTime1775_gr - groupTime1784_gr -
           groupTime1785_gr - groupTime1786_gr)

# Identify largest differences mean

colMax <- function(data) as.data.frame(sapply(data, max, na.rm = TRUE))

colMin <- function(data) as.data.frame(sapply(data, min, na.rm = TRUE))

database_mean<- database_group_time %>% select(-1)

time_max <- colMax(database_mean) 

time_min <- colMin(database_mean)


time_differences_mean <- time_max - time_min


# Same for Median
database_group_time_median <- database_full %>% 
  group_by(Treatment_C) %>% 
  summarise(across(starts_with("groupTime"), list(gr = ~median(., na.rm = TRUE)))) %>% 
  select(-where(~all(is.na(.))))

database_group_time_median  <- database_group_time_median  %>% rowwise() %>% 
  mutate(Total_time = sum(c_across(2:ncol(database_group_time_median)), na.rm = TRUE))


database_group_time_median  <- database_group_time_median  %>% 
  mutate(Net_time = Total_time - groupTime1774_gr - groupTime1775_gr - groupTime1784_gr -
           groupTime1785_gr - groupTime1786_gr)      


# Idenitfy largest differences Median

database_gtm <- database_group_time_median %>% select(-1)

time_max <- colMax(database_gtm) 

time_min <- colMin(database_gtm)

time_differences_median <- time_max - time_min

### SD


database_group_time_sd <- database_full %>% 
  group_by(Treatment_C) %>% 
  summarise(across(starts_with("groupTime"), list(gr = ~sd(., na.rm = TRUE)))) %>% 
  select(-where(~all(is.na(.))))

database_group_time_sd <- database_group_time_sd %>% rowwise() %>% 
  mutate(Total_time = sum(c_across(2:ncol(database_group_time_sd)), na.rm = TRUE))

database_group_time_sd  <- database_group_time_sd  %>% 
  mutate(Net_time = Total_time - groupTime1774_gr - groupTime1775_gr - groupTime1784_gr -
           groupTime1785_gr - groupTime1786_gr) 
